//
//	Copyright © 2005 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
	using namespace Math;
	using namespace Tools;
	namespace VWObjects
	{
		class VWSymbolObj : public VWObject
		{
		public:
							VWSymbolObj(const TXString& symDefName, const VWPoint2D& location, double dRotDeg=0);
							VWSymbolObj(const VWSymbolDefObj& symDef, const VWPoint2D& location, double dRotDeg=0);
							VWSymbolObj(MCObjectHandle hSymbolDef, const VWPoint2D& location, double dRotDeg=0);
							VWSymbolObj(MCObjectHandle hSymbol);
							VWSymbolObj(const VWSymbolObj& src);
			virtual			~VWSymbolObj();

			VWSymbolObj&	operator=(const VWSymbolObj& src);

		public:
			MCObjectHandle	GetSymbolDef() const;

		// tool
		public:
			// Return true if the specified object handle is a symbol
			static bool		IsSymbolObject(MCObjectHandle hObj);
		};
	}
}